# Default Java Options
-Dunixfs=false -DuseExtendedFileAttributes=true -DuseCreationDate=false -Djava.net.useSystemProxies=true -Djna.nosys=true -Djna.nounpack=true --illegal-access=permit --add-opens=java.base/java.lang=ALL-UNNAMED --add-opens=java.base/java.lang.invoke=ALL-UNNAMED --add-opens=java.base/java.util=ALL-UNNAMED --add-opens=java.base/java.util.function=ALL-UNNAMED --add-opens=java.base/java.util.regex=ALL-UNNAMED --add-opens=java.base/java.net=ALL-UNNAMED --add-opens=java.base/java.io=ALL-UNNAMED --add-opens=java.base/java.nio.file=ALL-UNNAMED --add-opens=java.base/java.nio.file.attribute=ALL-UNNAMED --add-opens=java.base/java.nio.channels=ALL-UNNAMED --add-opens=java.base/java.nio.charset=ALL-UNNAMED --add-opens=java.base/java.time=ALL-UNNAMED --add-opens=java.base/java.time.chrono=ALL-UNNAMED --add-opens=java.base/java.util.concurrent=ALL-UNNAMED --add-opens=java.logging/java.util.logging=ALL-UNNAMED --add-opens=java.desktop/java.awt=ALL-UNNAMED

# Default Windows Java Options
-Dapplication.help=show -Dapplication.dir="%APPDATA%\FileBot" -Dapplication.dir="%APPDATA%\FileBot" -Djava.io.tmpdir="%APPDATA%\FileBot\tmp" -Dnet.filebot.AcoustID.fpcalc="%EXEDIR%\lib\fpcalc.exe" -Djna.boot.library.path="%EXEDIR%\lib" -Djna.library.path="%EXEDIR%\lib" -Djava.library.path="%EXEDIR%\lib"

# Default Windows Portable Java Options
-Dapplication.dir="%EXEDIR%\data" -Duser.home="%EXEDIR%\data" -Djava.io.tmpdir="%EXEDIR%\data\tmp" -Djava.util.prefs.PreferencesFactory=net.filebot.util.prefs.FilePreferencesFactory -Dnet.filebot.util.prefs.file="%EXEDIR%\data\prefs.properties"

# Deployment Options
-Dapplication.deployment=zip

# Use Java API move/copy operations
-DuseNativeShell=false

# Support JAVA_OPTS and FILEBOT_OPTS environment variables
%JAVA_OPTS%
%FILEBOT_OPTS%
